Package com.collibra.dgc.core.api.component.instance

# Interface CommentApi

public interface CommentApi
Contains all api operations for handling comments.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Comment`
  `addComment(AddCommentRequest addCommentRequest)`
  Adds a comment.
  `Comment`
  `changeComment(ChangeCommentRequest changeCommentRequest)`
  Changes a comment.
  `boolean`
  `exists(UUID commentId)`
  Returns true if a comment with given ID exists.
  `PagedResponse<Comment>`
  `findComments(FindCommentsRequest findCommentsRequest)`
  Returns comments matching the given input.
  `List<Comment>`
  `findCommentsMentioningCurrentUser()`
  Returns list of comments in which the current user was mentioned filtered on view permissions.
  `Comment`
  `getComment(UUID commentId)`
  Returns a comment by id.
  `void`
  `removeComment(UUID commentId)`
  Remove the comment with the given UUID.

- ## Method Details

  - ### getComment

    Comment getComment(UUID commentId)
    Returns a comment by id.
    Parameters:
      `commentId` - the UUID of the comment to retrieve
    Returns:
      the comment

  - ### findComments

    @SecurityAuditMethod(resultFormatter=com.collibra.dgc.core.api.internal.security.audit.formatter.PagedResponseFormatter.class) PagedResponse<Comment> findComments(FindCommentsRequest findCommentsRequest)
    Returns comments matching the given input.
    Parameters:
      `findCommentsRequest` - specified inputs in order to search for comments
    Returns:
      the found comments

  - ### findCommentsMentioningCurrentUser

    @SecurityAuditMethod(resultFormatter=com.collibra.audit.formatter.CollectionFormatter.class) List<Comment> findCommentsMentioningCurrentUser()
    Returns list of comments in which the current user was mentioned filtered on view permissions.
    Returns:
      list of comments mentioning current user

  - ### exists

    boolean exists(UUID commentId)
    Returns true if a comment with given ID exists.
    Parameters:
      `commentId` - the ID of the comment
    Returns:
      true if a comment with given ID exists, `false` otherwise

  - ### addComment

    Comment addComment(AddCommentRequest addCommentRequest)
    Adds a comment.
    Parameters:
      `addCommentRequest` - the information required to be able to create a comment
    Returns:
      The created comment

  - ### changeComment

    Comment changeComment(ChangeCommentRequest changeCommentRequest)
    Changes a comment.
    Parameters:
      `changeCommentRequest` - the information required to be able to change a comment
    Returns:
      The change comment

  - ### removeComment

    void removeComment(UUID commentId)
    Remove the comment with the given UUID.
    Parameters:
      `commentId` - The UUID of the comment to remove.